LINUX.ORG.RU

Не собирается fglrx на gentoo

 , , ,


0

2

Обновил ядро с 3.5 до 3.10.19. Также обновил иксы. В результате - невозможность собрать fglrx.

Да, согласен, что карточка у меня не самая новая: Mobitity Radeon HD4500/5100 (на базе RV510). Поэтому ставлю ati-drivers-13.1_978-pre из ветки legacy. Раньше работали, теперь компиляция отваливается с emake failed. Свободные так же не работают: no screens found и все.

Как я понял, что-то с этими драйверами стало несовместимо по версиям - либо ядро, либо х-сервер. Так где загвоздка? Версии:

xorg-server: 1.12.4-r2
xorg-x11: 7.4-r2
kernel: 3.10.19

для начала нужны логи сборки

megabaks ★★★★ ()

У меня 12.6 с 3.10 не собиралось, решил переходом на 13.4. Правда это даже не легаси...

Radius ★★★ ()
Ответ на: комментарий от Radius

У меня 13,4 не прокатит. Фишка в том, что даже опен-соурс драйвера не работают :(

KERNEL_PANIC ★★★ ()
Ответ на: комментарий от KERNEL_PANIC

Надо понимать, что легаси это другой драйвер и поддержка ядер у него другая. И вообще поддержку новых ядер в старых версиях блоба никто не обещал.

Получается так: хочешь использовать старую версию блоба, сиди на старом ядре.

...хотя стой, 13.1 же не поддерживает иксы 12.4 :) нужны 12.3

Radius ★★★ ()
Ответ на: комментарий от KERNEL_PANIC

Фишка в том, что даже опен-соурс драйвера не работают :(

Багрепорт написан?

RussianNeuroMancer ★★★★★ ()

Начнем с того, что xorg-server древний.
А закончим тем, что не надо использовать проприетарные драйвера. :)

ktulhu666 ☆☆☆ ()

Ядро и иксы обнови чтоб открытые дрова нормально работали, а проприетарный кал ненужен

anonymous ()
Ответ на: комментарий от RussianNeuroMancer

Багрепорт написан?

Нет, но проблема была вот в чем. Стартую иксы - экраны не найдены. modprobe radeon и повторяю - заводится. Каким-то образом модуль в автозагрузку не попал :-/

KERNEL_PANIC ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.